Get AutomationTemplateDataFrameVariable by ID
Get a single AutomationTemplateDataFrameVariable by ID.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
automation_template_data_frame_variable_id
ID of the AutomationTemplateDataFrameVariable.
Headers
EARLY-ACCESS
Set to true to access beta operations via /api/v3.
Query parameters
returning
Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.
omit
Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.
Response
OK
__typename
archiveReason
archived
createdAt
description
id
modifiedAt
name
replaceDataFrameColumnsSpec
Expected column structure that the provided DataFrame must match.
replaceStep
The AutomationStep whose input will be replaced by the bound DataFrame.
replaceStepData
The specific AutomationStepData slot on the step that receives the bound DataFrame.
replaceStepDataIndex
The index within the step data slot where the bound DataFrame is placed.
template
Errors
400
Automation Template Data Frame Variable Get Request Bad Request Error
403
Automation Template Data Frame Variable Get Request Forbidden Error
404
Automation Template Data Frame Variable Get Request Not Found Error
429
Automation Template Data Frame Variable Get Request Too Many Requests Error
500
Automation Template Data Frame Variable Get Request Internal Server Error